from Tkinter import Button
from visualiser import Visualiser

class RealtimeVisualiser(Visualiser):
    """A VTK-powered realtime visualiser which runs in its own thread.
    """
    def __init__(self, domain):
        Visualiser.__init__(self,domain)

    def setup_gui(self):
        Visualiser.setup_gui(self)
        self.tk_pauseResume = Button(self.tk_root, text="Pause", command=self.pauseResume)
        self.tk_pauseResume.grid(row=1, column=0)

    def pauseResume(self):
        if self.sync_unpaused.isSet():
            self.sync_unpaused.clear()
            self.tk_pauseResume.config(text="Resume")
        else:
            self.sync_unpaused.set()
            self.tk_pauseResume.config(text="Pause")
